package it.mice.voila.runtime.jasper.view.helpers;

import net.sf.jasperreports.engine.JRExporter;
import net.sf.jasperreports.engine.export.JRPdfExporter;

/**
 * Implementation of <code>AbstractJasperReportsSingleFormatView</code>
 * that renders report results in PDF format.
 *
 * @author Rob Harrop
 * @author Juergen Hoeller
 * @since 1.1.3
 */
public class JasperReportsPdfView extends AbstractJasperReportsSingleFormatView {

	public JasperReportsPdfView() {
		setContentType("application/pdf");
	}

	@Override
	protected JRExporter createExporter() {
		return new JRPdfExporter();
	}

	@Override
	protected boolean useWriter() {
		return false;
	}

}